KDE 4.7 PyKDE API Reference

- KDE's Python API

# NavigationWidget Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble

## Detailed Description

## Signals

| goHome ()
| moveDown ()
| moveLeft ()
| moveRight ()
| moveUp ()
| zoomChanged (int zoom)
| zoomIn ()
| zoomOut ()

## Methods

| __init__ (self, QWidget parent=0, Qt::WindowFlags f=0)
| changeZoom (self, int zoom)
| resizeEvent (self, QResizeEvent a0)
| selectTheme (self, QString a0)
| setLocations (self, QAbstractItemModel locations)
| setMarbleWidget (self, Marble.MarbleWidget widget)
| setWorkOffline (self, bool offline)

## Signal Documentation

goHome | ( |  | ) |

Signal emitted when the Home button has been pressed.

Signal syntax:
  `QObject.connect(source, SIGNAL("goHome()"), target_slot)`

moveDown | ( |  | ) |

Signal emitted when the Move Down button has been pressed.

Signal syntax:
  `QObject.connect(source, SIGNAL("moveDown()"), target_slot)`

moveLeft | ( |  | ) |

Signal emitted when the Move Left button has been pressed.

Signal syntax:
  `QObject.connect(source, SIGNAL("moveLeft()"), target_slot)`

moveRight | ( |  | ) |

Signal emitted when the Move Right button has been pressed.

Signal syntax:
  `QObject.connect(source, SIGNAL("moveRight()"), target_slot)`

moveUp | ( |  | ) |

Signal emitted when the Move Up button has been pressed.

Signal syntax:
  `QObject.connect(source, SIGNAL("moveUp()"), target_slot)`

zoomChanged | ( | int | zoom
| ) |  |  |

Signal emitted when the zoom slider has been moved.

Parameters:

  | zoom | The new zoom value.

Signal syntax:
  `QObject.connect(source, SIGNAL("zoomChanged(int)"), target_slot)`

zoomIn | ( |  | ) |

Signal emitted when the Zoom In button has been pressed.

Signal syntax:
  `QObject.connect(source, SIGNAL("zoomIn()"), target_slot)`

zoomOut | ( |  | ) |

Signal emitted when the Zoom Out button has been pressed.

Signal syntax:
  `QObject.connect(source, SIGNAL("zoomOut()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Qt::WindowFlags | f=0
| ) |  |  |

changeZoom | ( | self, |
|  | int | zoom
| ) |  |  |

Sets the value of the slider.

Parameters:

  | zoom | The new zoom value.

This slot should be called when the zoom value is changed from the widget itself, e.g. by using the scroll wheel. It sets the value of the slider, but nothing more. In particular it doesn't emit the zoomChanged signal.

resizeEvent | ( | self, |
|  | QResizeEvent | a0
| ) |  |  |

Reimplementation of the resizeEvent() of the widget.

If the MarbleControlBox gets shrunk enough, the slider in the Navigation tab will be hidden, leaving only the Zoom Up and Zoom Down buttons.

selectTheme | ( | self, |
|  | QString | a0
| ) |  |  |

setLocations | ( | self, |
|  | QAbstractItemModel | locations
| ) |  |  |

Set a list/set of placemark names for the search widget.

Parameters:

  | locations | the QAbstractitemModel containing the placemarks

This function is called to display a potentially large number of placemark names in a widget and let the user search between them.

See also:
  centerOn

setMarbleWidget | ( | self, |
|  | Marble.MarbleWidget | widget
| ) |  |  |

Set a MarbleWidget associated to this widget.

Parameters:

  | widget | the MarbleWidget to be set.

setWorkOffline | ( | self, |
|  | bool | offline
| ) |  |  |

Toggle offline mode of download manager and runners.